import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.*;


@SuppressWarnings("serial")
public class ClientInternalFrame extends JInternalFrame 
                      implements  ActionListener, IUpdateMediator, ISetUsersMediator {
	
	JTextArea editor = new JTextArea();
	JTextArea editorMsg = new JTextArea();
	JComboBox<String> cbUsers = new JComboBox<String>();
	
	String name=null;
	IChatMediator chat=null;
	User user=null; 
	
	public ClientInternalFrame(String name) {
		this.name=name;
		setTitle("Client: "+name);
		// hier fehlt Code
		setGUI();
		setVisible(true);
	}
	
	  private void setGUI() {
		    setClosable(true);
		    setIconifiable(true);
		    setMaximizable(true);
		    setResizable(true);
	        setLayout(new BorderLayout() );
	        setToolBars();
	        editor.setFont( new Font("Arial", Font.BOLD,18)  );
	        
	        JSplitPane split = new JSplitPane(JSplitPane.HORIZONTAL_SPLIT,false,
	        		new JScrollPane(editor) , new JScrollPane(editorMsg));
	        	    split.setDividerLocation(200);
	        
	        add(split, BorderLayout.CENTER);
	        editor.setFont( new Font("Arial", Font.BOLD,18)  );
	        editorMsg.setFont( new Font("Arial", Font.BOLD,18)  );
	        
	  } // setGUI;
	  
	  private void setToolBars() {
		    JToolBar toolBar = new JToolBar();
		    
		    JLabel labelName = new JLabel("Fenster: "+user.getName());
		    labelName.setFont(new Font("Arial", Font.BOLD, 16));
		    toolBar.add(labelName);
		    toolBar.addSeparator( new Dimension(20,1));
		    
		    JLabel label = new JLabel("Empfnger");
		    label.setFont(new Font("Arial", Font.BOLD, 16));
		    toolBar.add(label);
		    	    
		    
		    toolBar.add(cbUsers);
		    cbUsers.setFont(new Font("Arial", Font.BOLD, 16));
		    
		    JButton bnSendMsg = new JButton("sende Text");
		    bnSendMsg.setFont(new Font("Arial", Font.BOLD, 16));
		    toolBar.add(bnSendMsg);
		    bnSendMsg.addActionListener(this);
		    bnSendMsg.setActionCommand("SendMsg");

		    this.getContentPane().add(toolBar, BorderLayout.NORTH);
	  } // setToolBars
	  
	  public void actionPerformed(ActionEvent e) {
	        String cmd = e.getActionCommand();
	        if (cmd.equals("SendMsg") ) {
	        	sendMsg();
	        }
	  }

	private void sendMsg() {
		// hier fehlt Code
	}

		// hier fehlt Code
	@Override
	public void xxxxx(String msg) {
		// hier fehlt Code
	}

		// hier fehlt Code
	@Override
	public void yyyyy(String[] users) {
		// hier fehlt Code
	}	  
	  
	  
}
